com.hazelcast.cluster

## Enum MemberAttributeOperationType

- java.lang.Object
- - java.lang.Enum<MemberAttributeOperationType>
  - - com.hazelcast.cluster.MemberAttributeOperationType

- All Implemented Interfaces:
    Serializable, Comparable<MemberAttributeOperationType>

      public enum MemberAttributeOperationType
      extends Enum<MemberAttributeOperationType>

  Used to identify the type of member attribute change, either PUT or REMOVED.
  Since:
    3.2.RC-2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PUT` Indicates an attribute being put.
    `REMOVE` Indicates an attribute being removed.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Gets the ID of the MemberAttributeOperationType.
    `static MemberAttributeOperationType` | `getValue(int id)` Gets the MemberAttributeOperationType by ID.
    `static MemberAttributeOperationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MemberAttributeOperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUT

          public static final MemberAttributeOperationType PUT

      Indicates an attribute being put.

    - #### REMOVE

          public static final MemberAttributeOperationType REMOVE

      Indicates an attribute being removed.

  - ### Method Detail

    - #### values

          public static MemberAttributeOperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MemberAttributeOperationType c : MemberAttributeOperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MemberAttributeOperationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

      Gets the ID of the MemberAttributeOperationType.
      Returns:
        the ID

    - #### getValue

          public static MemberAttributeOperationType getValue(int id)

      Gets the MemberAttributeOperationType by ID.
      Parameters:
        `id` - the ID of the MemberAttributeOperationType
      Returns:
        the found MemberAttributeOperationType
      Throws:
        `IllegalArgumentException` - if no MemberAttributeOperationType with the given ID is found

Copyright © 2019. All rights reserved.